StdioStream.h File Reference

StdioStream class. More...

`#include <limits.h>`
`#include "FatFile.h"`
`#include <stdio.h>`
Include dependency graph for StdioStream.h:

## Classes

class | StdioStream
| StdioStream implements a minimal stdio stream. More...

## Macros

#define | EOF (-1)
#define | NULL 0
#define | SEEK_CUR 1
#define | SEEK_END 2
#define | SEEK_SET 0

## Variables

const uint8_t | STREAM_BUF_SIZE = 64
const uint8_t | UNGETC_BUF_SIZE = 2

## Detailed Description

StdioStream class.

## Macro Definition Documentation

#define EOF (-1)

End-of-file return value.

#define NULL 0

Null pointer

#define SEEK_CUR 1

Seek relative to current position.

#define SEEK_END 2

Seek relative to end-of-file.

#define SEEK_SET 0

Seek relative to start-of-file.

## Variable Documentation

const uint8_t STREAM_BUF_SIZE = 64

Total size of stream buffer. The entire buffer is used for output. During input UNGETC_BUF_SIZE of this space is reserved for ungetc.

const uint8_t UNGETC_BUF_SIZE = 2

Amount of buffer allocated for ungetc during input.